package bx

type CmdCode struct {
	name  string
	group byte
	code  byte
}

var (
	CMD_ACK                  = CmdCode{"ack", 0xa0, 0x00}
	CMD_NACK                 = CmdCode{"nack", 0xa0, 0x01}
	CMD_DEL_FILE             = CmdCode{"delete file", 0xa1, 0x01}
	CMD_SYSTEM_STATE         = CmdCode{"system state", 0xa1, 0x02}
	CMD_SYSTEM_PING          = CmdCode{"ping", 0xa2, 0x00}
	CMD_SYSTEM_HEARTBEAT     = CmdCode{"system heartbeat", 0xa4, 0x07}
	CMD_START_WRITE_FILE     = CmdCode{"start write file", 0xa1, 0x05}
	CMD_WRITE_FILE           = CmdCode{"write file", 0xa1, 0x06}
	CMD_WRITE_TRANS_START    = CmdCode{"start write trans", 0xa1, 0x07}
	CMD_WRITE_TRANS_STOP     = CmdCode{"stop the write trans", 0xa1, 0x08}
	CMD_WRITE_CUSTOMER_INFO  = CmdCode{"write customer information", 0xa1, 0x09}
	CMD_GET_FILE_INTO        = CmdCode{"get file information", 0xa1, 0x0a}
	CMD_GET_FILE_CONTENT     = CmdCode{"get file content", 0xa1, 0x0b}
	CMD_SYSTEM_CLOCK_CORRECT = CmdCode{"system clock correct", 0xa2, 0x03}
	CMD_READ_PARAMS          = CmdCode{"read params", 0xa2, 0x0a}
	CMD_SOUND                = CmdCode{"add sound", 0xa2, 0x0e}
	CMD_TURN_ON_OFF          = CmdCode{"turn on/off screen", 0xa3, 0x00}
	CMD_TIMING_SWITCH        = CmdCode{"auto turn on/off screen", 0xa3, 0x01}
	CMD_LOCK_UNLOCK          = CmdCode{"lock or unlock program", 0xa3, 0x04}
	CMD_SEND_DYNAMIC_AREA    = CmdCode{"send dynamic area", 0xa3, 0x06}
	CMD_DEL_DYNAMIC_AREA     = CmdCode{"delete dynamic area", 0xa3, 0x07}
	CMD_CANCEL_TIMING_SWITCH = CmdCode{"cancel auto turn on/off screen", 0xa3, 0x08}
	CMD_CLEAR_SCREEN         = CmdCode{"clear the screen", 0xa3, 0x10}
)
