#### version:1.0 2023-12-09
#### 应用层功能
- [x] 海康通知-输出设备响应 系统架构
- [x] 事件服务
- [x] 输出设备响应
- [x] 发送文字
  - [x] 静态文件
  - [x] 动态实时显示信息
- [x] 删除文件
- [x] 删除动态区域
- [x] 切换节目(锁定/解锁节目)
- [ ] 发送自制位图节目 *
- [x] 查询当前状态
- [ ] 定时开关机
- [ ] 语音响应设备
#### bx6k1屏 控制卡协议
- [x] ACK
- [x] NACK
- [ ] 发送节目文件
  - [x] 开始写文件
  - [x] 写文件
  - [ ] 写多文件命令
  - [ ] 结束写多文件命令
  - [ ] 写客户信息
  - [ ] 读取文件信息命令
  - [ ] 返回文件信息命令
  - [ ] 读取文件内容命令
  - [ ] 返回文件内容命令
- [x] 发送实时显示信息
- [ ] 多分区
- [x] 查询控制器状态
- [x] 删除文件
- [x] 系统时间校正命令
- [x] 强制开关屏
- [x] 定时开关屏
- [x] 取消定时开关机 *
- [x] 锁定/解锁节目
- [x] CRC校验算法

#### Note:

- 服务器模式没调通,接收不到控制卡的连接请求,所以使用客户端模式.可能原因:要更换控制卡IP
- 因为bx6k1不支持查所有节目信息,程序未做持久化保存节目信息,只保存了节目数量.
- 应将名为P000节目设为默认节目,并永久锁定.节目内容应为类似"减速慢行"等默认黄色提示信息.
- 应将P001节目设为红色警示节目,状态变更后锁定这个节目.
- 自定义位图节目发送协议已对接,发送后响应无错误,但是未生效.
- 定时开关屏可以设置三个,取消定时开关机测试时未取消成功.该功能不能用的话只能设置定时器手动开关屏